diff -Nurd -x'*~' avahi-0.6.31.orig/avahi-discover-standalone/Makefile.in avahi-0.6.31/avahi-discover-standalone/Makefile.in
--- avahi-0.6.31.orig/avahi-discover-standalone/Makefile.in	2012-02-14 17:36:36.000000000 -0500
+++ avahi-0.6.31/avahi-discover-standalone/Makefile.in	2014-05-28 10:30:23.000000000 -0400
@@ -97,9 +97,7 @@
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1)
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@am__DEPENDENCIES_3 = $(am__DEPENDENCIES_1) \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@	$(am__DEPENDENCIES_1)
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@avahi_discover_standalone_DEPENDENCIES = ../avahi-common/libavahi-common.la \
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-glib/libavahi-glib.la \
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-core/libavahi-core.la \
+@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@avahi_discover_standalone_DEPENDENCIES = \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__DEPENDENCIES_2) \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__DEPENDENCIES_3)
 AM_V_lt = $(am__v_lt_@AM_V@)
@@ -428,9 +426,9 @@
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_3)
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@avahi_discover_standalone_LDADD =  \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(AM_LDADD) \
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-common/libavahi-common.la \
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-glib/libavahi-glib.la \
-@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-core/libavahi-core.la \
+@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-common \
+@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-glib \
+@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-core \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_2) \
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_4)
 @HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@interfaces_DATA = $(interfaces)
diff -Nurd -x'*~' avahi-0.6.31.orig/avahi-glib/Makefile.in avahi-0.6.31/avahi-glib/Makefile.in
--- avahi-0.6.31.orig/avahi-glib/Makefile.in	2012-02-14 17:36:36.000000000 -0500
+++ avahi-0.6.31/avahi-glib/Makefile.in	2014-05-28 10:30:23.000000000 -0400
@@ -110,7 +110,7 @@
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
 @HAVE_GLIB_TRUE@libavahi_glib_la_DEPENDENCIES =  \
-@HAVE_GLIB_TRUE@	../avahi-common/libavahi-common.la \
+@HAVE_GLIB_TRUE@	\
 @HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
 am__libavahi_glib_la_SOURCES_DIST = glib-watch.c glib-watch.h \
 	glib-malloc.h glib-malloc.c
@@ -134,7 +134,7 @@
 @HAVE_GLIB_TRUE@	glib_watch_test-glib-watch-test.$(OBJEXT)
 glib_watch_test_OBJECTS = $(am_glib_watch_test_OBJECTS)
 @HAVE_GLIB_TRUE@glib_watch_test_DEPENDENCIES =  \
-@HAVE_GLIB_TRUE@	../avahi-common/libavahi-common.la \
+@HAVE_GLIB_TRUE@	-lavahi-common \
 @HAVE_GLIB_TRUE@	$(am__DEPENDENCIES_1)
 glib_watch_test_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC \
 	$(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=link $(CCLD) \
@@ -434,14 +434,14 @@
 @HAVE_GLIB_TRUE@	glib-malloc.h glib-malloc.c
 
 @HAVE_GLIB_TRUE@libavahi_glib_la_CFLAGS = $(AM_CFLAGS) $(GLIB20_CFLAGS)
-@HAVE_GLIB_TRUE@libavahi_glib_la_LIBADD = $(AM_LDADD) ../avahi-common/libavahi-common.la $(GLIB20_LIBS)
+@HAVE_GLIB_TRUE@libavahi_glib_la_LIBADD = $(AM_LDADD) -lavahi-common $(GLIB20_LIBS)
 @HAVE_GLIB_TRUE@libavahi_glib_la_LDFLAGS = $(AM_LDFLAGS)  -version-info $(LIBAVAHI_GLIB_VERSION_INFO)
 @HAVE_GLIB_TRUE@glib_watch_test_SOURCES = \
 @HAVE_GLIB_TRUE@	glib-watch.c glib-watch.h \
 @HAVE_GLIB_TRUE@	glib-watch-test.c
 
 @HAVE_GLIB_TRUE@glib_watch_test_CFLAGS = $(AM_CFLAGS) $(GLIB20_CFLAGS)
-@HAVE_GLIB_TRUE@glib_watch_test_LDADD = $(AM_LDADD) ../avahi-common/libavahi-common.la $(GLIB20_LIBS)
+@HAVE_GLIB_TRUE@glib_watch_test_LDADD = $(AM_LDADD) -lavahi-common $(GLIB20_LIBS)
 all: all-am
 
 .SUFFIXES:
diff -Nurd -x'*~' avahi-0.6.31.orig/avahi-gobject/Makefile.in avahi-0.6.31/avahi-gobject/Makefile.in
--- avahi-0.6.31.orig/avahi-gobject/Makefile.in	2012-02-14 17:36:37.000000000 -0500
+++ avahi-0.6.31/avahi-gobject/Makefile.in	2014-05-28 10:30:23.000000000 -0400
@@ -110,9 +110,7 @@
 	"$(DESTDIR)$(avahigobjectincludedir)"
 LTLIBRARIES = $(lib_LTLIBRARIES)
 am__DEPENDENCIES_1 =
-@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_DEPENDENCIES = ../avahi-common/libavahi-common.la \
-@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@	../avahi-client/libavahi-client.la \
-@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@	../avahi-glib/libavahi-glib.la \
+@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_DEPENDENCIES = \
 @HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@	$(am__DEPENDENCIES_1)
 am__libavahi_gobject_la_SOURCES_DIST = ga-client.c ga-client.h \
 	ga-entry-group.c ga-entry-group.h ga-enums.h ga-error.c \
@@ -470,7 +468,7 @@
 @HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@	$(BUILT_SOURCES)
 
 @HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_CFLAGS = $(AM_CFLAGS) $(GOBJECT_CFLAGS)
-@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_LIBADD = $(AM_LDADD) ../avahi-common/libavahi-common.la ../avahi-client/libavahi-client.la ../avahi-glib/libavahi-glib.la $(GOBJECT_LIBS)
+@HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_LIBADD = $(AM_LDADD) -lavahi-common -lavahi-client -lavahi-glib $(GOBJECT_LIBS)
 @HAVE_DBUS_TRUE@@HAVE_GOBJECT_TRUE@libavahi_gobject_la_LDFLAGS = $(AM_LDFLAGS) -version-info $(LIBAVAHI_GOBJECT_VERSION_INFO) -export-symbols-regex '^ga_'
 
 # correctly clean the generated source files
diff -Nurd -x'*~' avahi-0.6.31.orig/avahi-ui/Makefile.in avahi-0.6.31/avahi-ui/Makefile.in
--- avahi-0.6.31.orig/avahi-ui/Makefile.in	2012-02-14 17:36:37.000000000 -0500
+++ avahi-0.6.31/avahi-ui/Makefile.in	2014-05-28 10:30:23.000000000 -0400
@@ -148,9 +148,7 @@
 	$(libavahi_ui_gtk3_la_LDFLAGS) $(LDFLAGS) -o $@
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@am_libavahi_ui_gtk3_la_rpath = -rpath \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@	$(libdir)
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@libavahi_ui_la_DEPENDENCIES = ../avahi-common/libavahi-common.la \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-client/libavahi-client.la \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-glib/libavahi-glib.la \
+@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@libavahi_ui_la_DEPENDENCIES = \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__DEPENDENCIES_1) \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__DEPENDENCIES_1)
 am__libavahi_ui_la_SOURCES_DIST = avahi-ui.h avahi-ui.c \
@@ -172,8 +170,6 @@
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@am_bssh_OBJECTS = bssh-bssh.$(OBJEXT)
 bssh_OBJECTS = $(am_bssh_OBJECTS)
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@bssh_DEPENDENCIES = $(am__DEPENDENCIES_1) \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@	../avahi-client/libavahi-client.la \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@	../avahi-common/libavahi-common.la \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@	libavahi-ui.la
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@bssh_DEPENDENCIES = $(am__DEPENDENCIES_1) \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@	../avahi-client/libavahi-client.la \
@@ -489,9 +485,9 @@
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_5) \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_10)
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@libavahi_ui_la_LIBADD = $(AM_LDADD) \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-common/libavahi-common.la \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-client/libavahi-client.la \
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	../avahi-glib/libavahi-glib.la \
+@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-common \
+@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-client \
+@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	-lavahi-glib \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(GTK20_LIBS) \
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@	$(am__append_6)
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@libavahi_ui_la_LDFLAGS = $(AM_LDFLAGS)  -version-info $(LIBAVAHI_UI_VERSION_INFO)
@@ -510,7 +506,7 @@
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@bssh_SOURCES = bssh.c
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@bssh_CFLAGS = $(AM_CFLAGS) $(GTK20_CFLAGS)
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@bssh_CFLAGS = $(AM_CFLAGS) $(GTK30_CFLAGS)
-@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@bssh_LDADD = $(AM_LDADD) $(GTK20_LIBS) ../avahi-client/libavahi-client.la ../avahi-common/libavahi-common.la libavahi-ui.la
+@HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_FALSE@bssh_LDADD = $(AM_LDADD) $(GTK20_LIBS) -lavahi-client -lavahi-common libavahi-ui.la
 @HAVE_DBUS_TRUE@@HAVE_GLIB_TRUE@@HAVE_GTK2OR3_TRUE@@HAVE_GTK3_TRUE@bssh_LDADD = $(AM_LDADD) $(GTK30_LIBS) ../avahi-client/libavahi-client.la ../avahi-common/libavahi-common.la libavahi-ui-gtk3.la
 CLEANFILES = $(desktop_DATA) $(desktop_DATA_in)
 all: all-am
